void fx_meteor()
{

    static byte red = 0xff;
    static byte green = 0xff;
    static byte blue = 0xff;
    static byte meteorSize = 10;
    static byte meteorTrailDecay = 64;
    static byte meteorRandomDecay = true;
    static int SpeedDelay = 30;

    EVERY_N_MILLISECONDS(SpeedDelay)
    {
        for (int i = 0; i < NUMBER_OF_LEDS_PER_STRIP + NUMBER_OF_LEDS_PER_STRIP; i++)
        {

            // fade brightness all LEDs one step
            for (int j = 0; j < NUMBER_OF_LEDS_PER_STRIP; j++)
            {
                if ((!meteorRandomDecay) || (random(10) > 5))
                {
                    leds[j].fadeToBlackBy(meteorTrailDecay);
                }
            }

            // draw meteor
            for (int j = 0; j < meteorSize; j++)
            {
                if ((i - j < NUMBER_OF_LEDS_PER_STRIP) && (i - j >= 0))
                {
                    leds[i - j] += CRGB(red, green, blue);
                }
            }

            //showStrip();
        }
    }
}