void fx_softtwinkles()
{
    EVERY_N_MILLISECONDS(40)
    {
        const CRGB lightcolor(64, 17, 23);
        for (int i = 0; i < TOTAL_NUMBER_OF_LEDS; i++)
        {
            if (!leds[i])
                continue; // skip black pixels
            if (leds[i].r & 1)
            {                          // is red odd?
                leds[i] -= lightcolor; // darken if red is odd
            }
            else
            {
                leds[i] += lightcolor; // brighten if red is even
            }
        }
        // Randomly choose a pixel, and if it's black, 'bump' it up a little.
        // Since it will now have an EVEN red component, it will start getting
        // brighter over time.
        if (random8() < 40)
        {
            int j = random16(TOTAL_NUMBER_OF_LEDS);
            if (!leds[j])
                leds[j] = lightcolor;
        }
    }
}